/*
 * BlogIDSelectDlg.h : ここうさぎウィザード carot
 *      ブログID選択ダイアログ ヘッダーファイル
 *          written by H.Tsujimura  15 Oct 2004
 *
 * $Log: /makeRSS/carot/BlogIDSelectDlg.h $
 * 
 * 5     07/10/17 23:48 Tsujimura543
 * ダミーのコピーコンストラクタ、代入演算子を private として導入。
 * 知らないうちにメモリ確保(と解放し忘れ)が発生する可能性を排除。
 * 
 * 4     07/10/17 23:29 Tsujimura543
 * コメントを整理
 * 
 * 3     07/10/17 23:28 Tsujimura543
 * (1) バージョン管理用コメントを入れるようにする
 * (2) 余分なプリプロセッサ制御文を削除
 */

#if !defined(AFX_BLOGIDSELECTDLG_H__D8F46A4C_89A9_4DD9_9B52_7A7B750C75B6__INCLUDED_)
#define AFX_BLOGIDSELECTDLG_H__D8F46A4C_89A9_4DD9_9B52_7A7B750C75B6__INCLUDED_

#include "carotDlg.h"

#ifdef __cplusplus
extern "C" {
#endif
#include "xmlRPC.h"
#ifdef __cplusplus
}
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlogIDSelectDlg ダイアログ

class CBlogIDSelectDlg : public CDialog
{
// コンストラクション
private:
    BLOGINF *m_blogList;
    int     m_numOfBlogs;

    void    initBlogList( void );

public:
	CBlogIDSelectDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

    ~CBlogIDSelectDlg() {
        if ( m_blogList )
            delete [] m_blogList;
    }

    void    initialize( BLOGINF *blogList, int numOfBlogs );

// ダイアログ データ
	//{{AFX_DATA(CBlogIDSelectDlg)
	enum { IDD = IDD_BLOGID_DIALOG };
	CListBox	m_blogIDlist;
	int		m_blogIDlistIndex;
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CBlogIDSelectDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	// メッセージマップ関数
	//{{AFX_MSG(CBlogIDSelectDlg)
	virtual void OnOK();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnSelchangeListBlogid();
	afx_msg void OnDblclkListBlogID();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CBlogIDSelectDlg( CBlogIDSelectDlg &dlg );
    CBlogIDSelectDlg    operator = ( CBlogIDSelectDlg &dlg );
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_BLOGIDSELECTDLG_H__D8F46A4C_89A9_4DD9_9B52_7A7B750C75B6__INCLUDED_)
